<template>
    <dl>
        <dt>
            Email
        </dt>
        <dd>
            <a v-bind:href="'mailto:' + this.user.email">{{ user.email }}</a>
        </dd>
        <dt>
            Name
        </dt>
        <dd>
            {{ user.name }}
        </dd>
    </dl>
</template>

<script>
import Axios from 'axios'
export default {
    data () {
        return {
            user: null
        }
    },
    mounted () {
        Axios
            .get('/api/users/' + $('datalist').data('user-id'))
            .then(response => (this.user = response.data))
    },
}
</script>